BorderUIResource.MatteBorderUIResource (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.MatteBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.EmptyBorder
                  |
                  +--javax.swing.border.MatteBorder
                        |
                        +--javax.swing.plaf.BorderUIResource.MatteBorderUIResource

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  BorderUIResource

public static class BorderUIResource.MatteBorderUIResource
extends MatteBorder
implements UIResource

Field Summary

Fields inherited from class javax.swing.border.MatteBorder
`color, tileIcon`

Fields inherited from class javax.swing.border.EmptyBorder
`bottom, left, right, top`

Constructor Summary
`BorderUIResource.MatteBorderUIResource(Icon tileIcon)`
`BorderUIResource.MatteBorderUIResource(int top, int left, int bottom, int right, Color color)`
`BorderUIResource.MatteBorderUIResource(int top, int left, int bottom, int right, Icon tileIcon)`

Methods inherited from class javax.swing.border.MatteBorder
`getBorderInsets, getBorderInsets, getBorderInsets, getMatteColor, getTileIcon, isBorderOpaque, paintBorder`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.MatteBorderUIResource

    public BorderUIResource.MatteBorderUIResource(int top,
                                                  int left,
                                                  int bottom,
                                                  int right,
                                                  Color color)

### BorderUIResource.MatteBorderUIResource

    public BorderUIResource.MatteBorderUIResource(int top,
                                                  int left,
                                                  int bottom,
                                                  int right,
                                                  Icon tileIcon)

### BorderUIResource.MatteBorderUIResource

    public BorderUIResource.MatteBorderUIResource(Icon tileIcon)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.